%define name	bc
%define version	1.06
%define release %mkrel 16

Summary:	GNU's bc (a numeric processing language) and dc (a calculator)
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
URL:		http://www.gnu.org/software/bc/bc.html
Group:		Sciences/Mathematics
Source:		ftp://ftp.gnu.org/gnu/bc/%{name}-%{version}.tar.bz2
Patch0:		bc-1.06-readline42.patch.bz2
Patch1:		bc-1.06-fixes.patch.bz2
Patch2:		bc-1.06-info-dir-entry.patch.bz2
BuildRequires:	flex ncurses-devel readline-devel
Requires(post):  /sbin/install-info grep
Requires(preun):/sbin/install-info grep
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The bc package includes bc and dc.  Bc is an arbitrary precision numeric
processing arithmetic language.  Dc is an interactive arbitrary precision
stack based calculator, which can be used as a text mode calculator.

Install the bc package if you need its number handling capabilities or
if you would like to use its text mode calculator.

%prep
%setup -q 
%patch0 -p1 -b .readline42
%patch1 -p1 -b .fixes
%patch2 -p1 -b .info-dir-entry

%build
%configure --with-readline
make LDFLAGS=-s

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall}
mkdir -p $RPM_BUILD_ROOT/etc/profile.d

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_install_info bc.info
%_install_info dc.info

%preun
%_remove_install_info bc.info
%_remove_install_info dc.info

%files
%defattr(-,root,root)
%doc COPYING COPYING.LIB FAQ AUTHORS NEWS README
%{_bindir}/bc
%{_bindir}/dc
%{_mandir}/man1/bc.1*
%{_mandir}/man1/dc.1*
%{_infodir}/bc.info*
%{_infodir}/dc.info*

%changelog
* Thu Aug 11 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.06-16mdk
- fix rpmlint errors (PreReq)

* Thu Aug 11 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.06-15mdk
- fix rpmlint errors (PreReq) 

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.06-14mdk
- rebuild for new readline
- fix summary-ended-with-dot

* Fri May  7 2004 Robert Vojta <robert.vojta@mandrake.cz> 1.06-13mdk
- last change reverted - do not change default behavior of these tools!

* Wed May  5 2004 Erwan velu <erwan@mandrakesoft.com> 1.06-12mdk
- Adding alias to run bc in math mode. (1 / 2) will give 0.5 as result and not 0 !

* Sun Jun  7 2003 Stefan van der Eijk <stefan@eijk.nu> 1.06-11mdk
- BuildRequires

* Mon Jan  6 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.06-10mdk
- Ship with bc.info

* Tue Jul 23 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.06-9mdk
- rebuild for new readline

* Thu Jun 27 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.06-8mdk
- Patch1: Add missing includes. Also fix load_code() so that save_adr
  is preserved accross function calls.

* Mon May 06 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.06-7mdk
- Automated rebuild in gcc3.1 environment

* Thu Dec  6 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.06-6mdk
- Sanitize specfile
- Rpmlint happyfication

* Thu Sep 06 2001 Stefan van der Eijk <stefan@eijk.nu> 1.06-5mdk
- BuildRequires:	flex

* Thu Jun 14 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.06-4mdk
- Shamelessly rip a patch from RH to make it build with readline 4.2.
- Build with readline support on Alpha, it should work now.
- s/Copyright/License/;

* Wed Apr 25 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.06-3mdk
- On Anzac Day, make it build on the Alpha platform.

* Tue Nov 21 2000 Egil Moeller <redhog@mandrakesoft.com> 1.06-2mdk
- Fix to make rpmlint happy

* Sun Nov 19 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.06-1mdk
- new and shiny bc.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.05a-12mdk
- automatically added BuildRequires

* Thu Jul 27 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.05a-11mdk
- readd bc :-( (gl scks)

* Tue Jul 25 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.05a-10mdk
- macros 
- BM

* Tue Jul  4 2000 dam's <damien@mandrakesoft.com> 1.05a-9mdk
- mandrake release.

* Wed Mar 22 2000 dam's <damien@mandrakesoft.com> 1.05a-8mdk
- Build release.

* Tue Oct 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Fri Jul 30 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- Compile with readline/history support

* Fri Apr  9 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale
- fix download URLs

* Thu Jan 21 1999 Jeff Johnson <jbj@redhat.com>
- use %configure

* Fri Sep 11 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.05a.

* Sun Jun 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Thu Jun 04 1998 Jeff Johnson <jbj@redhat.com>
- updated to 1.05 with build root.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 21 1998 Erik Troan <ewt@redhat.com>
- got upgrades of info entry working (I hope)

* Sun Apr 05 1998 Erik Troan <ewt@redhat.com>
- fixed incorrect info entry

* Wed Oct 15 1997 Donnie Barnes <djb@redhat.com>
- added install-info support

* Thu Sep 11 1997 Donald Barnes <djb@redhat.com>
- upgraded from 1.03 to 1.04

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
